# Audit Logs

Audit logs are created automatically upon each call to the cloud agent admin API. Each audit log is of the `AuditLog` type, recording information about the call such as the authenticated user ID, the operation, arguments, return data and success status, and the user agent and HTTP response status.

## View audit logs

View audit logs, with pagination and filtering options. Returns a `nextToken` which can be passed into the same query in order to fetch subsequent pages.

```graphql
query MyQuery {
  auditLogs(
    page: {
      nextToken: null
    }
    filter: {}
  ) {
    items {
      requestId
      userId
      timestamp
      operationId
      operationArgs
      operationResultData
      isSuccess
      userAgent
      httpStatus
    }
    nextToken
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sudoplatform.com/guides/decentralized-identity/cloud-agent/cloud-agent-admin-api/audit-logs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
